## DzlMultiPaned DzlMultiPaned |

## Functions

GtkWidget * | dzl_multi_paned_new ()
guint | dzl_multi_paned_get_n_children ()
GtkWidget * | dzl_multi_paned_get_nth_child ()

## Properties

GtkOrientation | orientation | Read / Write

## Signals

void | resize-drag-begin | Run Last
void | resize-drag-end | Run Last

## Types and Values

#define | DZL_TYPE_MULTI_PANED
struct | DzlMultiPanedClass
| DzlMultiPaned

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── DzlMultiPaned
                        ╰── DzlDockPaned

## Implemented Interfaces

DzlMultiPaned implements AtkImplementorIface, GtkBuildable and GtkOrientable.

## Description

## Functions

### dzl_multi_paned_new ()

    GtkWidget *
    dzl_multi_paned_new (void);

### dzl_multi_paned_get_n_children ()

    guint
    dzl_multi_paned_get_n_children (DzlMultiPaned *self);

### dzl_multi_paned_get_nth_child ()

    GtkWidget *
    dzl_multi_paned_get_nth_child (DzlMultiPaned *self,
                                   guint nth);

Gets the `nth` child of the DzlMultiPaned.

It is an error to call this function with a value >= the result of `dzl_multi_paned_get_nth_child()`.

The index starts from 0.

#### Parameters

self | a DzlMultiPaned |

#### Returns

A GtkWidget.

[transfer none]

## Types and Values

### DZL_TYPE_MULTI_PANED

    #define DZL_TYPE_MULTI_PANED (dzl_multi_paned_get_type())

### struct DzlMultiPanedClass

    struct DzlMultiPanedClass {
      GtkContainerClass parent;

      void (*resize_drag_begin) (DzlMultiPaned *self,
                                 GtkWidget     *child);
      void (*resize_drag_end)   (DzlMultiPaned *self,
                                 GtkWidget     *child);

      gpointer _reserved1;
      gpointer _reserved2;
      gpointer _reserved3;
      gpointer _reserved4;
      gpointer _reserved5;
      gpointer _reserved6;
      gpointer _reserved7;
      gpointer _reserved8;
    };

### DzlMultiPaned

    typedef struct _DzlMultiPaned DzlMultiPaned;

## Property Details

### The `“orientation”` property

      “orientation”              GtkOrientation

Orientation.

Flags: Read / Write

Default value: GTK_ORIENTATION_VERTICAL

## Signal Details

### The `“resize-drag-begin”` signal

    void
    user_function (DzlMultiPaned *dzlmultipaned,
                   GtkWidget     *widget,
                   gpointer       user_data)

Flags: Run Last

### The `“resize-drag-end”` signal

    void
    user_function (DzlMultiPaned *dzlmultipaned,
                   GtkWidget     *widget,
                   gpointer       user_data)

Flags: Run Last